店舗分類項目登録
POST
/store_classes/{store_class_id}/items
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/store_classes/example/items';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"storeClassItemName":"string","displaySequence":"123456789"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/store_classes/example/items \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "storeClassItemName": "string", "displaySequence": "123456789" }'店舗分類項目情報を登録します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”store_class_id
required
string
店舗分類ID
Request Body
Section titled “Request Body”Media typeapplication/json
object
storeClassItemName
required
店舗分類項目名
string
displaySequence
表示順
string format: int
Example
{ "storeClassItemName": "string", "displaySequence": "123456789"}Responses
Section titled “Responses”更新成功
Media typeapplication/json
object
storeClassItemId
店舗分類項目ID:
string
storeClassId
店舗分類ID:
string
storeClassItemName
店舗分類項目名:
string
displaySequence
表示順:
string
insDateTime
作成日時:登録時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
updDateTime
更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
Example
{ "storeClassItemId": "string", "storeClassId": "string", "storeClassItemName": "string", "displaySequence": "string", "insDateTime": "string", "updDateTime": "string"}- 入力チェックエラーの場合
- 店舗分類に登録される店舗分類項目件数が99を超える場合
- 指定した店舗分類IDが存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Example
{ "type": "string", "title": "string", "detail": "string", "status": 400}